import { HTMLAttributes } from 'react';
export declare type QuoteProps = {
    /** Quote size. One of `small` , `medium` or `large`. Defaults to `medium`. */
    size?: 'large' | 'medium' | 'small';
    /** The name of the quote's author. */
    author?: string;
    /** Extra information about the quote's author, e.g. their title and/or company. */
    authorInfo?: string;
    /** Whether to semantically render a callout instead of a quote. If `true`, the quotation marks and author are not rendered. */
    callout?: boolean;
} & HTMLAttributes<HTMLDivElement>;
export declare const Quote: import("react").ForwardRefExoticComponent<{
    /** Quote size. One of `small` , `medium` or `large`. Defaults to `medium`. */
    size?: 'large' | 'medium' | 'small';
    /** The name of the quote's author. */
    author?: string;
    /** Extra information about the quote's author, e.g. their title and/or company. */
    authorInfo?: string;
    /** Whether to semantically render a callout instead of a quote. If `true`, the quotation marks and author are not rendered. */
    callout?: boolean;
} & HTMLAttributes<HTMLDivElement> & import("react").RefAttributes<HTMLDivElement>>;
